using System.ComponentModel.DataAnnotations.Schema;
using TecniStamp.Domain.Base;

namespace TecniStamp.Domain;

public class Ruolo : EntitaBase
{
    public Ruolo()
    {
        Nome = string.Empty;
    }
    public string Nome { get; set; }

    [InverseProperty(nameof(Utente.Ruolo))]
    public List<Utente> Utenti { get; set; }

    [InverseProperty(nameof(Permission.Ruolo))]
    public virtual List<Permission> Permessi { get; set; }
}